1

I'm using MS Visual Studio Code the latest version. I'm on Java 18, the latest version. Latest NPM and have re-installed the Salesforce Extenstion Pack and re-installed Prettier. Originally I was having some error messages appear in the Prettier output but I've managed to resolve those, mostly by installing NPM and doing NPM Init.

I've seen on videos that with other developers when they start typing <div class="slds they'll be presented with a list of choices

However I don't. The rest of my setup works fine. The problems section shows up mistakes. For example if I do slds-m-around_medium it recommends I change it to slds-var-m-around_medium.

I don't want to keep referring to the lightning design system.

Here's an example of my code

<template>
  <lightning-card title="Conditional rendering">
    <div class="slds-var-m-around_medium">my First Line</div>
    <div class="slds-var-m-around_large">my Second Line</div>
    <div>All classes typed manually, intellisense didn't autocomplete.</div>
  </lightning-card>
</template>

The default formatter has been set to prettier for HTML in USER settings

I have a .prettierrc configuration file

I've googled extensively, rebooted, reinstalled and restarted many times. I susptect its something simple I'm missing but I can't find it.

Thank you in advance

2
  • 1
    For that we need Salesforce extension package that should do this. Commented Sep 2, 2022 at 15:27
  • I experimented with switching down to Java 17 instead of Java 18. It didn't fix the problem. Commented Sep 3, 2022 at 0:36

0

You must log in to answer this question.

Browse other questions tagged .